
// Hier ist nun die endgueltige POV-Datei.
// Unter Verwendung einer INI-Datei kann man
// das Raytracing dieses Modells sehr gut 
// steuern. Dazu sei der Name der POV-Datei
// mit cube.pov gegeben.


global_settings { assumed_gamma 2.2 }

#include "colors.inc"           
#include "shapes.inc"           
#include "textures.inc"         
#include "metals.inc"
#include "glass.inc"


// zum Drucken ist weiss besser geeignet:
background {color White}

camera {
   location  <0, 0, -140.0>
   direction <0, 0,    1>
   up        <0, 1,    0>
   right   <4/3, 0,    0>
   angle   60
   look_at   <0, 0,   0>
}


// Lichtquellen

light_source {< -50,  0, -50>  color LightGray  shadowless}
light_source {<  50,  0, -50>  color LightGray  shadowless}
   

   

#declare fc1 =  union { 
   cylinder {
    <0,  36,   0>,
    <0,  22,   0>,
    30             
   }
   cylinder {
    <0,  36,   0>,
    <0,  15,   0>,
    20             
   }
   cylinder {
    <0,  36,   0>,
    <0,   9,   0>,
    12             
   }
   cylinder {
    <0,  36,   0>,
    <0,   6,   0>,
    8             
   }
}   


#declare fc2 =  union {
   object {fc1}
   object {fc1 rotate x*180}
}
  

#declare fca =  union {
     object {fc2}   
     object {fc2 rotate x*90}               
     object {fc2 rotate z*90}               
}      
      

difference{ 
       object {UnitBox scale 35}
       object {fca
       texture { pigment { P_Chrome3 }
                 finish  { ambient 0.250 }
       } 
     }
     texture { pigment { P_Chrome5 }
               finish  { ambient 0.250 }
     }          
   rotate <0 45 0>   
}                       

// oder:    
// rotate <0 clock 0>   

// die clock-Variable wird durch die ini-Datei
// gesteuert.